lrc(1)

NAME
lrc - Check licenses listed in a DEP-5 debian/copyright file
      against licenses reported by licensecheck.

SYNOPSIS
lrc [OPTIONS]

DESCRIPTION

Use -h or -? to display detailed description.

OPTIONS

Options are case-insensitive. Invalid options are ignored.

-? -h or --help Writes the ReadMe file to stdout.

-l or --long
    Output is generated for every file where licensecheck detects the license,
    not just those with license discrepancies.

-f or --format Formatted output.
    Outputs the debian/copyright licence, licensecheck license,
    and filename on three separate lines, followed by one blank line.
    Headers and summary lines are suppressed.
    Version info is not output unless specified via -v option.

-s or --short
    Where blocks of files with identical license differences would be output,
    only the first file is shown. Overrides -l (if specified)

-v or --version
    Writes the version numbers of licenserecon and licenscheck to stdout, then exits

-x or --spdx
    Expects SPDX style license short names. (Default is debian DEP 5 short names)

EXCLUSIONS

False positives may suppressed by creating a file debian/lrc.config
List in the file, the file names and/or directories to be excluded.
The syntax for the file is described in /usr/share/lrc/lrc.config

AUTHOR
Peter Blackman <peter@pblackman.plus.com>

SEE ALSO
licensecheck (1)